//*****************************************
// Six IN-17 Clock2 Program ATmega64(64pin)
// CPU Clock:8MHz
//   UWlgɂ

//   q[Yf[^́@`FbŃurohdmv
//   @@@@@@@@@uannsryv́uBoot Flash size=4096 words Boot Address=$7000v
//   @@@@@@@@@uanckdudkv́uBrown-out detection at VCC=2.7Vv
//   @@@@@@@@@urtsQbjrdkv́uInt Rc Osc.8MHz,Start-up time:6CK+64msv
//
// File Name:ad_conv.h
//  wb_[t@C
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2022/08/23 Modify for pr_six_in17_clock2 Taishi
//*****************************************

#define	AD_NO			7						// Use A/D ch (0 -- 5,6,7)

#define	N_of_AD_data	8						// Q̊K̒lɌ

#if	AD_NO == 7
extern	int				ad7_ave;

extern	void			ad7_init(void);
extern	void			ad7_close(void);
extern	void			ad7_set_data(void);
extern	void			ad7_get_data(void);

#else
 #if	AD_NO == 6
extern	int				ad6_ave;

extern	void			ad6_init(void);
extern	void			ad6_close(void);
extern	void			ad6_set_data(void);
extern	void			ad6_get_data(void);

 #else
  #if	AD_NO == 5
extern	int				ad5_ave;

extern	void			ad5_init(void);
extern	void			ad5_close(void);
extern	void			ad5_set_data(void);
extern	void			ad5_get_data(void);

  #else

extern	int				ad0_ave;

extern	void			ad0_init(void);
extern	void			ad0_close(void);
extern	void			ad0_set_data(void);
extern	void			ad0_get_data(void);
  #endif
 #endif
#endif
