//*****************************************
// Six IN-17 Clock2 Program ATmega64(64pin)
// CPU Clock:8MHz
//   UWlgɂ

//   q[Yf[^́@`FbŃurohdmv
//   @@@@@@@@@uannsryv́uBoot Flash size=4096 words Boot Address=$7000v
//   @@@@@@@@@uanckdudkv́uBrown-out detection at VCC=2.7Vv
//   @@@@@@@@@urtsQbjrdkv́uInt Rc Osc.8MHz,Start-up time:6CK+64msv
//
// File Name:uart.h
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2022/08/23 Modify for pr_six_in17_clock2 Taishi
//*****************************************


#define	BIT_RATE600			600								// rbg|g:600
#define	BIT_RATE1200		1200							// rbg|g:1200
#define	BIT_RATE2400		2400							// rbg|g:2400
#define	BIT_RATE4800		4800							// rbg|g:4800
#define	BIT_RATE9600		9600							// rbg|g:9600


// t`qs̐ݒl

// aor
#define	BPS_600			(unsigned int)(((long)CPU_CLOCK/(long)16/(long)BIT_RATE600) - 1)	// taqqO̒l(600)
#define	BPS_1200		(unsigned int)(((long)CPU_CLOCK/(long)16/(long)BIT_RATE1200) - 1)	// taqqO̒l(1200)
#define	BPS_2400		(unsigned int)(((long)CPU_CLOCK/(long)16/(long)BIT_RATE2400) - 1)	// taqqO̒l(2400)
#define	BPS_4800		(unsigned int)(((long)CPU_CLOCK/(long)16/(long)BIT_RATE4800) - 1)	// taqqO̒l(4800)
#define	BPS_9600		(unsigned int)(((long)CPU_CLOCK/(long)16/(long)BIT_RATE9600) - 1)	// taqqO̒l(9600)

// peB
#define	V_PARITY0_NON	((0 << UPM01) | (0 << UPM00))									// peB
#define	V_PARITY0_EVN	((1 << UPM01) | (0 << UPM00))									// peB
#define	V_PARITY0_ODD	((1 << UPM01) | (1 << UPM00))									// peB

#define	V_PARITY1_NON	((0 << UPM11) | (0 << UPM10))									// peB
#define	V_PARITY1_EVN	((1 << UPM11) | (0 << UPM10))									// peB
#define	V_PARITY1_ODD	((1 << UPM11) | (1 << UPM10))									// peB


// f[^
#define	V_DATA0_8		((1 << UCSZ00) | (1 << UCSZ01))									// Wrbgf[^
#define	V_DATA0_7		((0 << UCSZ00) | (1 << UCSZ01))									// Vrbgf[^

#define	V_DATA1_8		((1 << UCSZ10) | (1 << UCSZ11))									// Wrbgf[^
#define	V_DATA1_7		((0 << UCSZ10) | (1 << UCSZ11))									// Vrbgf[^


// tbrqO`̒l
#define	V_UCSR0A		(0 << U2X0)														// tbrqO`̒l: WiWlg͔̎{̕덷Ȃj
#define	V_UCSR1A		(0 << U2X1)														// tbrqP`̒l: WiWlg͔̎{̕덷Ȃj

// tbrqOa̒l
//#define	V_UCSR0B		(1 << TXEN0)												// tbrqOa̒l: M
//#define	V_UCSR0B		((1 << RXEN0) | (1 << RXCIE0) | (1 << TXEN0))				// tbrqOa̒l: MAM荞݉AM
#define	V_UCSR0B		((1 << RXEN0) | (1 << RXCIE0))									// tbrqOa̒l: MAM荞݉
#define	V_UCSR0B_RXEN	(1 << RXEN0)													// tbrqOa̒l: M̂

//#define	V_UCSR1B		(1 << TXEN1)												// tbrqOa̒l: M
#define	V_UCSR1B		((1 << RXEN1) | (1 << RXCIE1) | (1 << TXEN1))					// aor`FbNp tbrqOa̒l: MAM荞݉AM
//#define	V_UCSR1B		((1 << RXEN1) | (1 << RXCIE1))								// tbrqPa̒l: MAM荞݉



extern	unsigned short	gBPS0_9600;

extern	void			uart0_init(void);
extern	void			uart0_close(void);
extern	void			uart0_pause(void);
extern	void			uart0_restart(void);

#if	1
extern	void			uart0_tx_one(unsigned char uc);
extern	void			uart0_tx_str(char *str);
extern	void			uart0_tx_str_crlf(char *str);
#endif

extern	unsigned char	Get_rxd0(unsigned char *uc);

extern	unsigned short	gBPS1_600;

extern	void			uart1_init(void);
extern	void			uart1_close(void);

#if	1
extern	void			uart1_tx_one(unsigned char uc);
extern	void			uart1_tx_str(char *str);
extern	void			uart1_tx_str_crlf(char *str);
#endif

extern	unsigned char	Get_rxd1(unsigned char *uc);
